package model
{
	import mx.collections.ArrayCollection;
	
	[Bindable] public class AcronymModel
	{
		public var id : int;
		public var name : String;
		public var date : String;
		public var useName : String;
		public var simbad : String;
		public var meaning : AcronymMeaningModel;
		public var object : String;
		public var oType : String;
		public var references : ArrayCollection;
		public var remark : String;
		public var inSource : String;
		public var stat : String;
		public var origin : String;
		public var eformat : ArrayCollection;
		
		public function AcronymModel(id:int, name:String, date:String, useName:String, simbad:String, meaning:AcronymMeaningModel, object:String, oType:String, references:ArrayCollection, remark:String, inSource:String, stat:String, origin:String, eformat:ArrayCollection)
		{
			this.id = id;
			this.name = name;
			this.date = date;
			this.useName = useName;
			this.simbad = simbad;
			this.meaning = meaning;
			this.object = object;
			this.oType = oType;
			this.references = references;
			this.remark = remark;
			this.inSource = inSource;
			this.stat = stat;
			this.origin = origin;
			this.eformat = eformat;
		}

	}
}