package renderers
{
	import events.BasicItemEvent;
	
	import extenders.AcronymTooltip;
	
	import flash.events.MouseEvent;
	
	import model.AcronymModelExtended;
	
	import mx.controls.Text;
	import mx.events.ToolTipEvent;
	import mx.managers.ToolTipManager;
	
	import utils.Constant;
	
	public class BasicItemRenderer extends Text
	{
			
		public function BasicItemRenderer()
		{
			this.setStyle("color", "black");
			this.selectable = false;			
		}

		override public function set data(value:Object) : void
		{
			if(value != null)
			{
				super.data = value;	

				this.addEventListener(MouseEvent.MOUSE_DOWN, eventDispatcher);
				
				this.toolTip = (data as AcronymModelExtended).getTooltipInfos();
				ToolTipManager.showDelay = 500;
				ToolTipManager.scrubDelay = 1;
				ToolTipManager.hideDelay = undefined;
				
				//on crée un tooltip un peu plus poussé
				this.addEventListener(ToolTipEvent.TOOL_TIP_CREATE, AcronymTooltip.createSimpleTooltip);
				this.addEventListener(ToolTipEvent.TOOL_TIP_SHOWN, AcronymTooltip.positionSimpleTooltip);
			}
		}
		
		private function eventDispatcher(event:MouseEvent) : void
		{
			var e:BasicItemEvent = new BasicItemEvent(BasicItemEvent.ITEM_DOWN, true, true);
			dispatchEvent(e);	
		}
	}

}