package renderers
{
	import extenders.CheckboxHeaderColumn;
	
	import flash.events.MouseEvent;
	
	import mx.controls.CheckBox;
	import mx.controls.DataGrid;
	import mx.events.DataGridEvent;
	
	public class CheckboxHeaderRenderer extends CheckBox
	{
		private var _data:CheckboxHeaderColumn;
		
		public function CheckboxHeaderRenderer()
		{
			super();
		}
		
		override public function get data():Object
		{
			return _data;
		}
		
		override public function set data(value:Object):void
		{
			_data = value as CheckboxHeaderColumn;
			//label = value.headerText;
			DataGrid(listData.owner).addEventListener(DataGridEvent.HEADER_RELEASE, sortEventHandler);
			selected = _data.selected;
		}
	
	
		private function sortEventHandler(event:DataGridEvent):void
		{
			if (event.itemRenderer == this) event.preventDefault();
		}
		
		override protected function clickHandler(event:MouseEvent):void
		{
			super.clickHandler(event);
			data.selected = selected;
			data.dispatchEvent(event);
		}

  }
}  