package renderers
{
	import flash.events.MouseEvent;
	import flash.net.URLRequest;
	import flash.net.navigateToURL;
	
	import mx.containers.HBox;
	import mx.controls.Label;
	
	import utils.Constant;
	
	public class LinkItemRendererComparatorInfos extends HBox
	{
			
		public function LinkItemRendererComparatorInfos()
		{
			this.setStyle("borderStyle", "none");
			this.verticalScrollPolicy = "off";
			this.horizontalScrollPolicy = "off";
		}
		
		public function link(event:MouseEvent) : void
		{
			var urlObject : String = '';

			switch((event.target as Label).getConstraintValue('callUrl'))
			{
				case Constant.LIB_WRITE : 	urlObject = Constant.LINK_FORMATS;
											break;
				default  				:	break;
			}
			var url:URLRequest = new URLRequest(urlObject);
        	navigateToURL(url, '_blank'); 	
		}
		

		override public function set data(value:Object) : void
		{
			if(value != null)
			{
				super.data = value;				
				removeAllChildren();
				var label:Label = new Label();
				
				if(value['infos'] == Constant.LIB_WRITE)
				{
					label.htmlText = "<u><font color='#0101ee'>"+value['infos']+"</u></font>";
					label.useHandCursor = true;
					label.mouseChildren = false;
					label.buttonMode = true;
					label.setConstraintValue('callUrl', Constant.LIB_WRITE);
					label.addEventListener(MouseEvent.CLICK, link);
				}
				else if(value['infos'] == Constant.LIB_RED_STARS)
				{
					label.htmlText = "<font color='#ff0000'>"+value['infos']+"</font>";
				}
				else
				{
					label.htmlText = value['infos'];
				}
			
				
				this.addChild(label);
			}
		}
	}
	
}