package utils
{
	public class Constant
	{
		
		//**************************************************//
		//				constantes du sytème				//
		//**************************************************//
		
		
		public static var WINDOWS:String = "WIN";
		public static var MAC:String = "MAC";
		public static var LINUX:String = "LNX";
		public static var NO_WINDOWS_USER:String = "Please, use right-click to open link";
		
		
		
		//**************************************************//
		//			constantes des textes des blocs			//
		//**************************************************//
		
		
		public static const LIB_BLOC_INFOS:String = 'Informations';
		public static const LIB_BLOC_FORM:String = 'Form';
		public static const LIB_BLOC_RESULT:String = 'Result';
		
		public static const TEXT_INFOS:String = "Designations of astronomical objects are often confusing. Astronomical designations (also called Object Identifiers) have been collected and published by Lortet and collaborators in Dictionaries of Nomenclature of Celestial Objects outside the solar system <a href='"+LINK_BIBLIO+"' target='_blank'>(<u><font color='#0101ee'><b>B</b>iblio</font></u>)</a>. This Info service is the electronic look-up version of the Dictionary which is updated on a regular basis; it provides full references and usages about 18344 different acronyms.<br><br><a href='"+LINK_SOURCE_REF+"' target='_blank'><u><font color='#0101ee'>How to refer to a source or designate a new one</font></u></a> is a short document from the Task Group on Astronomical Designations of <a href='"+LINK_IAU+"' target='_blank'><u><font color='#0101ee'>IAU Commission 5</font></u></a> which provides basic advices in this topic. A more extensive <a href='"+LINK_SPEC+"' target='_blank'><u><font color='#0101ee'>Specifications concerning designations for astronomical radiation sources outside the solar system</font></u></a> document gives more complete definitions and examples.<br><br>If you are preparing a new catalogue, we wish to encourage to <a href='"+LINK_REGISTER+"' target='_blank'><u><font color='#0101ee'>register for an acronym</font></u></a>, preferably before your new objects become referenced (even informally).";//<br><br>This service is mirrored at: <a href='"+LINK_MIRROR_JAP+"' target='_blank'><u><font color='#0101ee'>Tokyo, Japan</font></u></a>  ·  <a href='"+LINK_MIRROR_USA+"' target='_blank'><u><font color='#0101ee'>CFA/Harvard, USA</font></u></a>  ·  <a href='"+LINK_MIRROR_RUS+"' target='_blank'><u><font color='#0101ee'>INASAN, Russia</font></u></a>";


		
		//**************************************************//
		//				constantes des URLs					//
		//**************************************************//
		
	 
		public static const LINK_FORMATS:String = 'http://vizier.u-strasbg.fr/Dic/formats.htx';
		public static const LINK_BIBLIO:String = 'http://simbad3.u-strasbg.fr/cgi-bin/cdsbib?1994A%26AS..107..193L';
		public static const LINK_SOURCE_REF:String = 'http://vizier.u-strasbg.fr/Dic/how.htx';
		public static const LINK_IAU:String = 'http://ulda.inasan.rssi.ru/IAU/';
		public static const LINK_SPEC:String = 'http://vizier.u-strasbg.fr/Dic/iau-spec.htx';
		public static const LINK_REGISTER:String = 'http://vizier.u-strasbg.fr/viz-bin/DicForm';
		public static const LINK_FIND_ACRO:String = 'http://vizier.u-strasbg.fr/cgi-bin/Dic?/';
		public static const LINK_FIND_SOURCE:String ='http://simbad.u-strasbg.fr/simbad/sim-id?Ident=';
		public static const LINK_FIND_OBJECT:String = 'http://vizier.u-strasbg.fr/cgi-bin/Otype?';
		public static const LINK_FIND_REF:String = 'http://simbad3.u-strasbg.fr/cgi-bin/cdsbib?';
		public static const LINK_FIND_PREFER:String = 'http://vizier.u-strasbg.fr/cgi-bin/Dic?';
		public static const LINK_FIND_EFORMAT:String = 'http://cdsweb.u-strasbg.fr/cgi-bin/qcat?';
		public static const LINK_MIRROR_JAP:String = 'http://vizier.nao.ac.jp/viz-bin/Dic';
		public static const LINK_MIRROR_USA:String = 'http://vizier.cfa.harvard.edu/viz-bin/Dic';
		public static const LINK_MIRROR_RUS:String = 'http://vizier.inasan.ru/viz-bin/Dic';
		
		
		
		//**************************************************//
		//	constantes des entités & symboles délimiteurs	//
		//**************************************************//
		
		
		//entitées HTML
		public static const SYMBOL_INF_DBL:String = '<<';
		public static const SYMBOL_SUP_DBL:String = '>>';
		public static const SYMBOL_INF_DBL_HTML:String = '&lt;&lt;';
		public static const SYMBOL_SUP_DBL_HTML:String = '&gt;&gt;';
		
		
		//délimiteurs
		public static const TAG_MEANING_OPEN:String = '<meaning>';
		public static const TAG_MEANING_CLOSE:String = '</meaning>';
		public static const SYMBOL_DELIM:String = 'delimiter';
		public static const SYMBOL_DELIM2:String = 'otherdelimiter';
		public static const SYMBOL_NOT_EMPTY:String = '-'; 
		
		
		//**************************************************//
		//			constantes des libellés					//
		//**************************************************//
		
	 	
	 	//libellés du formulaire de recherche
	 	public static const LIB_FORM_ID_STARTING_BY:String = 'Identifier starting by';
	 	public static const LIB_FORM_ID_EXACT_MATCH:String = 'Exact match identifier';
	 	public static const LIB_FORM_ID_FIRST_AUTHOR:String = 'First author name';
	 	public static const LIB_FORM_ID_RELATED_WORD:String = 'Related to words';
	 	public static const LIB_FORM_ID_FORMAT_SPEC:String = 'Format specification';
	 	public static const LIB_FORM_ID_OBJECT_CLASS:String = 'Object class';
	 	public static const LIB_FORM_ID_INCLUDED_IN:String = 'Included in object';
	 	
	 	public static const LIB_FORM_ENT_20MAX:String = 'Maximum of 20 entries';
	 	public static const LIB_FORM_ENT_50MAX:String = 'Maximum of 50 entries';
	 	public static const LIB_FORM_ENT_100MAX:String = 'Maximum of 100 entries';
	 	public static const LIB_FORM_ENT_UNMAX:String = 'Unlimited maximum';
	 	
	 	public static const LIB_FORM_BTN_SEARCH:String = 'Search';
	 	
	 	
	 	//libellés de la barre de boutons
	 	public static const LIB_BARBUT_SHOW_SEL:String = 'Show only selected';
	 	public static const LIB_BARBUT_SHOW_UNSEL:String = 'Show only unselected';
	 	public static const LIB_BARBUT_SHOW_ALL:String = 'Show all';
	 	public static const LIB_BARBUT_COMPARE:String = 'Compare';
	 	public static const LIB_BARBUT_PRINT:String = 'Print data table';
	 	public static const LIB_BARBUT_CHOOSE:String = 'Choose columns';
	 	public static const LIB_BARBUT_VOID:String = ' ';
	 	public static const LIB_BARBUT_ADDFILTER:String = 'Filter';
	 	public static const LIB_BARBUT_DELFILTER:String = 'Remove filter';
	 	
		
		//libellés des infos de la recherche et de l'affichage
		public static const LIB_SEARCH_RESULTS:String = 'Search results: ';
		public static const LIB_SEARCH_RESULT:String = 'Search result: ';
		public static const LIB_ITEMS_SHOW:String = 'Items showing: ';
		public static const LIB_ITEM_SHOW:String = 'Item showing: ';
		public static const LIB_ITEM_ALL:String = ' (all)';
		public static const LIB_APPLY_FILTER:String = 'Applying filter: ';
		public static const LIB_NO_APPLY_FILTER:String = 'No applying filter ';
		public static const LIB_ITEM_SELECTED:String = ' (selected)';
		public static const LIB_ITEM_UNSELECTED:String = ' (unselected)';
		
		
		//libellés du tableau comparateur
		public static const LIB_WRITE:String = 'Write';
		public static const LIB_OBJECT:String = 'Object';
		public static const LIB_NOTE:String = 'Note';
		public static const LIB_IN_SOURCE:String = 'In source';
		public static const LIB_STAT:String = 'Status';
		public static const LIB_ORIGIN:String = 'Origin';
		public static const LIB_RED_STARS:String = '*****';
		public static const LIB_ARROW:String = '====>';
		public static const LIB_E:String = '=E=';
		public static const LIB_REFERENCES:String = 'Reference(s)';
		public static const LIB_REF:String = '\tReference';
		public static const LIB_BY:String = '\tBy';
		public static const LIB_NAME_REF:String = '\tName';
		public static const LIB_TITLE:String = '\tTitle';
		public static const LIB_TABLES:String = '\tTables';
		
		public static const IS_INCORPORATED:String = 'is completely incorporated in Simbad';
		public static const LIB_AVOID:String = "Avoid the usage of ";
		public static const LIB_PREFER:String = ", prefer ";
		public static const LIB_EFORMAT:String = 'Catalog in electronic form as ';
		public static const LIB_EQUIVALENT:String = 'Equivalent to ';
		public static const ORIGIN_A:String = 'Assigned by the author(s)';
		public static const ORIGIN_L:String = 'Found in the literature';
	
	
				
		//**************************************************//
		//			constantes des tooltips					//
		//**************************************************//
		
		
	    //utilisation de scale-9 pour adapter la taille de la bulle sans effet d'étirement
        [Embed(source="../assets/images/bubbleByDownRight.png", scaleGridTop="10", scaleGridBottom="30", scaleGridLeft="10", scaleGridRight="50")]
        public static var bubbleClassDR:Class; 
        [Embed(source="../assets/images/bubbleByTopRight.png", scaleGridTop="13", scaleGridBottom="43", scaleGridLeft="10", scaleGridRight="50")]
        public static var bubbleClassTR:Class;
        [Embed(source="../assets/images/bubbleByDownLeft.png", scaleGridTop="10", scaleGridBottom="30", scaleGridLeft="40", scaleGridRight="70")]
        public static var bubbleClassDL:Class;
        [Embed(source="../assets/images/bubbleByTopLeft.png", scaleGridTop="13", scaleGridBottom="43", scaleGridLeft="40", scaleGridRight="70")]
        public static var bubbleClassTL:Class;
		
		
		
		//**************************************************//
		//			constantes de la popup					//
		//**************************************************//
		
		
		//lien vers les images
		[Embed(source="../assets/images/mouseMove.gif")]
		public static const CURSOR_MOVE:Class;
		[Embed(source="../assets/images/verticalSize.gif")]
		public static const VERTICAL_SIZE:Class;
		[Embed(source="../assets/images/horizontalSize.gif")]
		public static const HORIZONTAL_SIZE:Class;
		[Embed(source="../assets/images/leftObliqueSize.gif")]
		public static const LEFT_OBLIQUE_SIZE:Class;
		[Embed(source="../assets/images/rightObliqueSize.gif")]
		public static const RIGHT_OBLIQUE_SIZE:Class;
		[Embed(source="../assets/images/WindowMinButton.gif")]
		public static const WINDOW_MIN_BUTTON_1:Class;
		[Embed(source="../assets/images/WindowMinButton2.gif")]
		public static const WINDOW_MIN_BUTTON_2:Class;
		[Embed(source="../assets/images/WindowMaxButton.gif")]
		public static const WINDOW_MAX_BUTTON_1:Class;
		[Embed(source="../assets/images/WindowMaxButton2.gif")]
		public static const WINDOW_MAX_BUTTON_2:Class;
		[Embed(source="../assets/images/WindowNormalButton.gif")]
		public static const WINDOW_NORMAL_BUTTON_1:Class;
		[Embed(source="../assets/images/WindowNormalButton2.gif")]
		public static const WINDOW_NORMAL_BUTTON_2:Class;
		[Embed(source="../assets/images/WindowCloseButton.gif")]
		public static const WINDOW_CLOSE_BUTTON_1:Class;
		[Embed(source="../assets/images/WindowCloseButton2.gif")]
		public static const WINDOW_CLOSE_BUTTON_2:Class;
		[Embed(source="../assets/images/mouseMove.gif")]
		public static const WINDOW_MOVE:Class;
		
		
		//permet de gérer les états de la souris selon
		//son positionnement par rapport à la popup
		public static const SIDE_OTHER:Number = 0;
		public static const SIDE_TOP:Number = 1;
		public static const SIDE_BOTTOM:Number = 2;
		public static const SIDE_LEFT:Number = 4;
		public static const SIDE_RIGHT:Number = 8;
		
		
		//permet de gérer la position de la popup
		//par rapport à l'application parente
		public static const TARGET_TAB_INDEX:String = "targetTabIndex";
		public static const RESIZE_OLD_POINT:String = "oldPoint";
		public static const RESIZE_OLD_HEIGHT:String = "oldHeight";
		public static const RESIZE_OLD_WIDTH:String = "oldWidth";
		public static const RESIZE_OLD_X:String = "oldX";
		public static const RESIZE_OLD_Y:String = "oldY";
		public static const RESIZE_MIN_SIZE:String = "minSize";
		public static const RESIZE_IS_POPUPE:String = "isPopup";
		
		//état de la popup
		public static const POPUP_ALREADY_OPEN:String = 'Acronym\'s comparator is already running...';
		public static const POPUP_TITLE:String = 'More informations';
		
		
	}
}