package utils
{
	import mx.controls.Alert;
	
	public class StringUtils
	{
		public static const SBL_INF_TXT:String = '<';
		public static const SBL_INF_HTML:String = '&lt;';
		public static const SBL_SUP_TXT:String = '>';
		public static const SBL_SUP_HTML:String = '&gt;';
		public static const SBL_ECOM_TXT:String = '&';
		public static const SBL_ECOM_HTML:String = '%26';
		
		public function StringUtils()
		{
		}
		
		public static function textToHtml(text:String) : String
		{
			var htmlFormat : String;
			
			htmlFormat = replaceAll(text, SBL_INF_TXT, SBL_INF_HTML);
			htmlFormat = replaceAll(htmlFormat, SBL_SUP_TXT, SBL_SUP_HTML);
			htmlFormat = replaceAll(htmlFormat, SBL_ECOM_TXT, SBL_ECOM_HTML);
			
			return htmlFormat;
		}
		
		public static function htmlToText(html:String) : String
		{
			var textFormat : String;
			
			textFormat = replaceAll(html, SBL_INF_HTML, SBL_INF_TXT);
			textFormat = replaceAll(textFormat, SBL_SUP_HTML, SBL_SUP_TXT);
			textFormat = replaceAll(textFormat, SBL_ECOM_HTML, SBL_ECOM_TXT);
			
			return textFormat;
		}
		
		public static function replaceAll(text:String, charToReplace:String, charReplacement:String) : String
		{
			var replacedText : String='';
			
			var textArray : Array = new Array();
			textArray = text.split(charToReplace);
			
			for(var i:int=0; i< textArray.length; i++)
			{
				if(textArray[i]=='') replacedText += charReplacement;
				else 
				{
					if(i<(textArray.length-1)) replacedText += textArray[i] + charReplacement;
					else replacedText += textArray[i];
				}
			}

			return replacedText;
		}

	}
}